/v4/time-mapVisualise where's reachable within a travel time catchment area.
Access URL: https://api.traveltimeapp.com/v4/time-map
Supports two HTTP request types:
- GET - for simple requests using basic parameters only
- POST - for more complex requests using advanced parameters
A POST request should be used for any of the following use cases:
- Using advanced parameters not available in the GET request
- Creating multiple isochrones with one request
- Calculating the Union or Intersection of multiple isochrones
The access URL is the same as the GET request format, but the differences are:
- Authentication is included in the request Headers
- Parameters are included in the request Body
Searches based on departure time. Leave departure location at no earlier than given time. You can define a maximum of 10 searches.
Used to identify each search in the results array. Must be unique among all searches.
Coordinates of the departure location.
Leave departure location at no earlier than given time. In ISO 8601 format. For example:
2026-03-03T14:00:00Z (representing UTC)
2026-03-03T14:00:00-05:00 (representing New York on Standard Time: UTC-05:00)
Maximum journey time (in seconds). Maximum value is 14400 (4 hours) as standard. To discuss increasing this, please contact hello@traveltime.com.
Transportation mode and related parameters. type is a mandatory field, but all other fields are optional and default values are used if not specified.
When enabled, range adds a departure window to the departure time, and a combined shape of all possible journeys departing within the window is returned.
Disabled by default.
Used in public_transport, coach, bus, train and driving+train transportation modes. For other modes range search parameters are ignored.
Properties to be returned about the shapes.
Possible values: is_only_walking.
When selected, the is_only_walking parameter will return a value of True if a journey only involves walking (e.g for a public transport search in an area with no public transport available).
Specifies level of detail of returned shape.
Specifies polygon filter of a single shape.
Enable to remove holes from returned polygons.
Note that this will likely result in loss in accuracy.
approximate_time_filter(default) - the shape matches time-filter results as much as possibleroad_buffering- the shape looks as if traversed roads of the search have been painted over with a wide brush
Minimum value is 250 meters. Default value is 1000 meters.
- when
render_mode=approximate_time_filter- controls how far from the reached road network the isochrone generation algorithm may consider locations as reachable. - when
render_mode=road_buffering- controls how far the final polygon is expanded outward from the reached roads. This behaves like applying a positive geometric offset to the collection of lines derived from the reached road segments.
true(default) - returned shape will not cover large nearby water bodiesfalse- returned shape may cover nearby water bodies like large lakes, wide rivers and seas
Adjusts the process of looking up the nearest roads from the departure / arrival points.
Searches based on arrival time. Arrive at destination location at no later than given time. You can define a maximum of 10 searches.
Define the unions of shapes that are the results of previously defined departure or arrival searches. You can define a maximum of 10 unions per request.
A list of the search ids referring to the shapes to be used for calculating the union.
Define the intersections of shapes that are the results of previously defined departure or arrival searches. You can define a maximum of 10 intersections per request.
Used to identify each search in the results array. Must be unique among all searches.
A list of the search ids referring to the shapes to be used for calculating the intersection.
We support multiple response formats, the format can be set using the Accept header. Supported formats:
application/json- This is the default if no format was specified.application/vnd.wkt+jsonapplication/vnd.wkt-no-holes+jsonapplication/geo+jsonapplication/vnd.google-earth.kml+xmlapplication/vnd.bounding-boxes+json- This format does not include holes
The results array which is sorted lexicographically by the id attribute.
Contains collection of features.
The kml array containing objects of xml namespace and placemark.
The results array which is sorted lexicographically by the id attribute.
A string containing the shape in Well-known text (WKT)
Properties array. Only the properties included in the request are returned.
The results array which is sorted lexicographically by the id attribute.
Properties array. Only the properties included in the request are returned.
LoadingLoadingLoadingLoadingA GET request is the simplest way to generate an isochrone. A single isochrone can be generated by specifying the query parameters in the URL.
Mode of transport used.
Available options: walking, public_transport, driving, cycling.
Maximum journey time (in seconds).
Maximum value is 14400 (4 hours).
Latitude of the search location.
Longitude of the search location.
If specified, this time will be used as the time of departure from the search location. One of departure_time or arrival_time must be specified.
If specified, this time will be used the time of arrival at the search location. One of arrival_time or departure_time must be specified.
Used for authenticating the request. Visit our developer portal to access your credentials or generate new ones.
Used for authenticating the request. Visit our developer portal to access your credentials or generate new ones.
Successful requests will return an HTTP 200 response.
Response schema - application/json
The results array which is sorted lexicographically by the id attribute.
https://api.traveltimeapp.com/v4/time-map?type=public_transport&travel_time=3600&lat=41.12332&lng=-0.12422&arrival_time=2026-03-03T15:00:00Z&app_id=YOUR_APP_ID&api_key=YOUR_APP_KEYPlease note that to send the GET request you will need to replace the YOUR_APP_ID and YOUR_APP_KEY values with your own credentials.
Request
LoadingResponse
Loading